package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapGigiKananDua_T")
public class PapGigiKananDua extends BaseTransaction{
	@JsonBackReference   
	@OneToOne(cascade=CascadeType.ALL) 
	@JoinColumn(name = "ObjectPapGigiMulutFk")
	@NotNull(message = "PapGigiMulut tidak boleh kosong")
	private PapGigiMulut papGigiMulut;
	
	@Column(name = "ObjectPapGigiMulutFk", insertable = false, updatable = false, nullable = false)
	private String papGigiMulutId;

	@Column(name = "enamsatu", nullable = true)
	@Caption(value = "enamsatu")
	private String enamsatu;

	@Column(name = "enamdua", nullable = true)
	@Caption(value = "enamdua")
	private String enamdua;

	@Column(name = "enamtiga", nullable = true)
	@Caption(value = "enamtiga")
	private String enamtiga;

	@Column(name = "enamempat", nullable = true)
	@Caption(value = "enamempat")
	private String enamempat;

	@Column(name = "enamlima", nullable = true)
	@Caption(value = "enamlima")
	private String enamlima;

	public String getEnamsatu() {
		return enamsatu;
	}
	public void setEnamsatu(String enamsatu) {
		this.enamsatu = enamsatu;
	}
	public String getEnamdua() {
		return enamdua;
	}
	public void setEnamdua(String enamdua) {
		this.enamdua = enamdua;
	}
	public String getEnamtiga() {
		return enamtiga;
	}
	public void setEnamtiga(String enamtiga) {
		this.enamtiga = enamtiga;
	}
	public String getEnamempat() {
		return enamempat;
	}
	public void setEnamempat(String enamempat) {
		this.enamempat = enamempat;
	}
	public String getEnamlima() {
		return enamlima;
	}
	public void setEnamlima(String enamlima) {
		this.enamlima = enamlima;
	}
	public PapGigiMulut getPapGigiMulut() {
		return papGigiMulut;
	}
	public void setPapGigiMulut(PapGigiMulut papGigiMulut) {
		this.papGigiMulut = papGigiMulut;
	}

}
